> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdadd_labels.md).

# Dataset$add\_labels

### Dataset$<mark style="color:purple;">add\_labels</mark>(*labels*) → self

{% hint style="warning" %}
**Deprecated.** Use [`Dataset$update(labels_to_add=c(...))`](/api/client-libraries/redivis-r/reference/dataset/datasetusdupdate.md) instead. This method raises a warning, and will be removed in a future version.
{% endhint %}

Add labels to a dataset. All labels are case-insensitive and stored lowercase.

### **Parameters:**

**`labels` :&#x20;*****list(str)***\
A list of labels to add to the dataset. Labels can only use alphanumeric characters and underscores, and may be include up to one colon to create a multipart label (e.g., `school:humanities`). Labels can currently only be assigned to datasets owned by an organization, and you must be an administrator of that organization to view and edit labels.

### **Returns:**

**self (a** [**Dataset**](/api/client-libraries/redivis-r/reference/dataset.md)**)**

{% hint style="success" %}
**See also**

* [Dataset$remove\_labels()](/api/client-libraries/redivis-r/reference/dataset/datasetusdremove_labels.md)
* [Dataset$update()](/api/client-libraries/redivis-r/reference/dataset/datasetusdupdate.md)
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-r/reference/dataset/datasetusdadd_labels.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
